petsc-3.4.2 2013-07-02

# PetscViewerBinaryGetMPIIO

Returns PETSC_TRUE if the binary viewer is an MPI viewer.

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerBinaryGetMPIIO(PetscViewer viewer,PetscBool  *flg)

Not Collective

### Input Parameter

viewer -PetscViewer context, obtained from PetscViewerBinaryOpen()

### Output Parameter

flg -PETSC_TRUE if MPI IO is being used

### Options Database

-viewer_binary_mpiio : Flag for using MPI-IO

### Fortran Note

This routine is not supported in Fortran.

### See Also

PetscViewerBinaryOpen(), PetscViewerBinaryGetInfoPointer()

Level:advanced
Location:src/sys/classes/viewer/impls/binary/binv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages